% Alan's better disp: DispA(ll)
% Example usage: dispa('the brightness is', var, 'cd/m2')
% Save to string and skip displaying output by saving the return value:
% txt = dispa('Run Time:', toc/60, 'm'), OR fprintf(dispa('time\t', cputime));
% Version 3.1, (c) 2010 Alan Robinson (http://cogsci.ucsd.edu/~aerobins).
function out = dispa(varargin)
str = '';
for (i = 1:length(varargin))
    str = [str ' ' num2str(varargin{i})];
end
if (nargout == 0)
   fprintf(1, '%s\n', str(2:end)); % chop off leading space, add newline terminator 
else
   out = str(2:end);
end

